import { Admin, Organization, PropertyMap, WhiteLabel } from '@parlor/common/amplify-schema';
export declare const isMultipleInboxesVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const activeInboxIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const loggedInAdminVar: import("@apollo/client").ReactiveVar<Admin>;
export declare const adminIsFeedbackManagerVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const adminIsContributorVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const adminIsMainAdminVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const adminIsHomeContributorVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const activeOrganizationIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const activeOrganizationHasLogos: import("@apollo/client").ReactiveVar<boolean>;
export declare const organizationsVar: import("@apollo/client").ReactiveVar<Organization[]>;
export declare const originalPropertyMapVar: import("@apollo/client").ReactiveVar<PropertyMap>;
export declare const usedSSOVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const activeFeedIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const activePortalFeedIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const activePortalIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const adminTeamRoleIsManagerVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const adminTeamRoleIsDirectorVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const whiteLabelVar: import("@apollo/client").ReactiveVar<WhiteLabel>;
export declare const isPortalVar: import("@apollo/client").ReactiveVar<boolean>;
export declare const updatedTaskInFeedIdVar: import("@apollo/client").ReactiveVar<string>;
export declare const activeJWTToken: import("@apollo/client").ReactiveVar<string>;
export declare const useActiveJWTToken: () => string;
export declare const useLoggedInAdmin: () => Admin;
export declare const useActiveOrganizationId: () => string;
export declare const useActiveInboxId: () => string;
export declare const useActiveFeedId: () => string;
export declare const useActivePortalFeedId: () => string;
export declare const useAdminIsMainAdmin: () => boolean;
export declare const useAdminIsHomeContributor: () => boolean;
export declare const useAdminTeamRoleIsManager: () => boolean;
export declare const useAdminTeamRoleIsDirector: () => boolean;
export declare const useActivePortalId: () => string;
export declare const useWhiteLabelVar: () => WhiteLabel;
export declare const useUpdatedTaskInFeedIdVar: () => string;
/**
 * It returns the active organization and all organizations
 * @returns An object with two properties: activeOrganization and organizations.
 */
export declare const useOrganizations: () => {
    organizations: Organization[];
    isAuditPartner: boolean;
    isAuditOrAuditFree: boolean;
    activeOrganization: Organization;
    activeOrganizationId: string;
    parentId: string;
};
